Name:           python-simple-slurm
Version:        0.3.3
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        A simple Python wrapper for Slurm with flexibility in mind.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/amq92/simple_slurm
Source:         %{pypi_source simple_slurm}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'simple-slurm' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-simple-slurm
Summary:        %{summary}

%description -n python3-simple-slurm %_description


%prep
%autosetup -p1 -n simple_slurm-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-simple-slurm -f %{pyproject_files}


%changelog
%autochangelog